File: changelog

package info (click to toggle)
casync 2+20190213-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,944 kB
  • sloc: ansic: 31,276; sh: 423; python: 69; makefile: 6
file content (95 lines) | stat: -rw-r--r-- 3,127 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
casync (2+20190213-1) unstable; urgency=medium

  * New upstream version 2+20190213
    - Fixes FTBFS with gcc-9. (Closes: #925647)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 19 Aug 2019 23:14:24 -0400

casync (2+20180321-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.28. (Closes: #907409)

 -- Adrian Bunk <bunk@debian.org>  Fri, 30 Nov 2018 14:37:06 +0200

casync (2+20180321-2) unstable; urgency=medium

  * Add udev Build-Depends to be able to query udev.pc (Closes: #897597)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 03 May 2018 10:12:33 -0300

casync (2+20180321-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Update Vcs-* to point to https://salsa.debian.org

  [ Martin Pitt ]
  * New upstream version 2+20180321
    - Fixes udev rule installation.
  * debian/copyright: Use https URL in Format:
  * Bump Standards-Version to 4.1.4

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 May 2018 12:03:05 +0000

casync (2+61.20180112-1) unstable; urgency=medium

  * New upstream version 2+61.20180112
    - Drop patches (applied upstream)
    - Add new libudev dependency
    - Fixes build with glibc 2.26 (Closes: #887692)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 27 Jan 2018 10:15:19 -0300

casync (2-1) unstable; urgency=medium

  * New upstream version 2
    - Add new build-dependencies zstd and zlib for alternative compressors
  * Remove bogus Closes tag
  * Fix formatting error in casync.rst.
    This error caused a broken manpage
  * Install README and NEWS files

 -- Felipe Sateler <fsateler@debian.org>  Wed, 02 Aug 2017 12:01:16 -0400

casync (1+92-1) unstable; urgency=medium

  * New upstream version 1+92
    - Includes undefined behavior fixes (Closes: #869136)
  * Drop unused libgrypt-dev build-dependency.
    Upstream moved to openssl
  * Use ninja instead of meson to run tests (Closes: #869531)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 24 Jul 2017 09:05:28 -0400

casync (1+65-2) unstable; urgency=medium

  * Restrict architecture to linux-any.
    While upstream has indicated it is willing to accept patches for other
    architectures, currently only linux is supported. (Closes: #869134)
  * Run tests in serially instead of in parallel
  * Bump test timeouts to 3 minutes. (Closes: #869140)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 20 Jul 2017 21:11:37 -0400

casync (1+65-1) unstable; urgency=medium

  * Initial release for debian (Closes: #868980).
    - Import upstream git snapshot
  * Bump debhelper compat to 10, make use of builtin meson support
  * Set pkg-systemd as maintainer, and add myself as uploader
  * Bump standards version
  * Enable compiler hardening features
  * Add gbp config file
  * Add Vcs-* header
  * Add missing Build-Depends on openssl and sphinx
  * Force UTF-8 for building
    - Otherwise sphinx might choke
  * Add an autopkgtest running upstream tests as root

 -- Felipe Sateler <fsateler@debian.org>  Wed, 19 Jul 2017 20:50:52 -0400

casync (1-0ppa1) zesty; urgency=medium

  * Initial release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Jun 2017 15:11:36 +0200